2006-12-09  Hubert Figuiere  <hub@figuiere.net>

	* include/libopenraw++/rawfile.h: 

2006-12-05  Hubert Figuiere  <hub@figuiere.net>

	* include/libopenraw/Makefile.am (libopenraw_HEADERS): missing
	public header in install.

	* lib/Makefile.am (noinst_HEADERS): missing headers in dist.

	* lib/io/teststream.cpp (main): skip test if file not found

	* lib/jfifcontainer.cpp: libjpeg surrounded by extern "C"
	to not break with weird variants of the library.

	* configure.in: Remove un-needed AC_LIBTOOL_DLOPEN
	* INSTALL: new file that bugs older automake if not present

2006-12-03  Hubert Figuiere  <hub@figuiere.net>

	* lib/io/teststream.cpp: changed include. Added LGPL header.

	* lib/*: change include "rawfile.h" to <libopenraw++/rawfile.h>
	Same for thumbnail.h.
	* lib/thumbnail.h, lib/rawfile.h: remove these proxy headers
	since they refer to one of the public ones.

2006-11-24  Hubert Figuiere  <hub@figuiere.net>

	* README: updated to match the current requirement and
	support

	* lib/crwfile.{h,cpp}: make sure the JPEG dimensions
	are set for the CRW preview.

	* debian/control: depend on libjpeg62-dev

	* lib/debug.h: moved some const to the public header
	* lib/capi/*: debug.cpp	add for debug C API
	* include/libopenraw++/*: C++ API headers
	* configure.in: libopenraw++
	* demo/*: changes for C++ API
	* test/ciffcontainer.cpp: minor adjustement for namespace

2006-11-21  Hubert Figuiere  <hub@figuiere.net>

	* lib/CMakeLists.txt, test/ciffcontainertest.cpp: 
	iofile.h moved.

	* lib/io/file.{h,cpp}: moved from lib/iofile.{h,cpp}
	* lib/*: fix build for said moved file.

2006-11-20  Hubert Figuiere  <hub@figuiere.net>

	* lib/Makefile.am: add libjpeg and jfifcontainer.{h,cpp}
	* demo/Makefile.am: add libjpeg

2006-11-19  Hubert Figuiere  <hub@figuiere.net>

	* configure.in: Detect libjpeg in configure.
	* lib/CMakeLists.txt: Detect JPEG before building.

2006-11-15  Hubert Figuiere  <hub@figuiere.net>

	* lib/crwfile.{h,cpp}: fix CRW thumnail extraction with
	new API

	* lib/orffile.{h,cpp}: override container properly.

	* lib/ifdfile.{h,cpp}: decode JPEG to get the size of the
	JPEG thumbnail.
	* lib/jfifcontainer.{h,cpp}: JFIFContainer.

	* lib/io/streamclone.cpp (open): on open, seek() in the
	stream
	* lib/io/teststream.cpp (main): test for streams

2006-11-11  Hubert Figuiere  <hub@figuiere.net>

	* IOFile moved to IO::File
	
	* lib/io/Makefile.am: +streamclone.cpp
	* include/libopenraw/consts.h: add closed stream error
	* lib/io/streamclone.{h,cpp}: implemented stream clone

	* lib/io/stream.{h,cpp}: better error handling 

	* demo/thumb.cpp (main): delete the raw file that
	was leaking.

2006-11-10  Hubert Figuiere  <hub@figuiere.net>

	* lib/iofile.{h,cpp}: inherit from IO::Stream
	* lib/io/stream.{h,cpp}: add stream class

2006-11-06  Hubert Figuiere  <hub@figuiere.net>

	* New API for thumbnails. Now fetch the thumbnail using pixel
	size. Can enumerate thumbnails and IFD code refactored.
	
2006-11-05  Hubert Figuiere  <hub@figuiere.net>

	* CMakeLists.txt: add warnings to CFLAGS and CXXFLAGS
	* lib/ciffcontainer.{h,cpp}: fix warnings

2006-11-04  Hubert Figuiere  <hub@figuiere.net>

	* lib/rawfile.cpp: make extension detection case insensitive

2006-10-18  Hubert Figuiere  <hub@figuiere.net>

	* Introduce exceptions to replace assert() in IFDEntry

	* IFDDir::getIntegerValue() for loosely typed integer retrieval.

	* lib/dngfile.cpp: use getIntegerValue() to fix an assert on
	DNG converted files.
	
	* enforce the use of stdint types whenever applicable.
	
2006-10-17  Hubert Figuiere  <hub@figuiere.net>

	* lib/rawcontainer.{h,cpp}: call the new endianutils.h
	* lib/ifdentry.{h,cpp}: the data in the entry is stored
	as is an converted when requested.
	* lib/ifddir.cpp: data replace offset in IFDEntry.

	* lib/endianutils.h: new endian comnversion macro.

2006-10-15  Hubert Figuiere  <hub@figuiere.net>

	* lib/ciffcontainer.h: added a comprehensive list of CIFF tags.

2006-10-14  Hubert Figuiere  <hub@figuiere.net>

	* lib/ciffcontainer.{h,cpp} (fetchData): added fetchData(). 

	* lib/rawfile.cpp (init): add CRW to the factory. 

	* lib/crwfile.{h,cpp}, lib/CMakeLists.txt, lib/Makefile.am: 
	new file for CRW support.

	* lib/rawcontainer.{h,cpp}, ifdfilecontainer.{h.cpp}: 
	move fetchData() from IFDFileContainer.

2006-10-12  Hubert Figuiere  <hub@figuiere.net>

	* test/ciffcontainertest.cpp: new test file for CIFF support.
	* test/CMakeLists.txt, test/Makefile.am: added test
	* lib/ciffcontainer.{h,cpp}: new CIFF container
	* lib/CMakeLists.txt, lib/Makefile.am: CIFF container added to build
	* lib/ifdfilecontainer.{h,cpp}, lib/rawcontainer.{h,cpp}:
	moved read functions to the base RawContainer class

2006-10-10  Hubert Figuiere  <hub@figuiere.net>

	* debian/*: added Debian subdir

2006-10-03  Hubert Figuiere  <hub@figuiere.net>

	* lib/rawfilefactory.cpp: #include <cassert> to comply
	with gcc 4.1

2006-10-02  Hubert Figuiere  <hub@figuiere.net>

	* test/CMakeLists.txt: build test subdir

	* CMakeLists.txt: force use of Fink on Mac with CMake
	Added test subdir

2006-09-24  Hubert Figuiere  <hub@figuiere.net>

	* README: added note about cmake

	* */CMakeLists.txt: basic cmake support. Untested on 
	!Linux

2006-09-23  Hubert Figuiere  <hub@figuiere.net>

	* lib/iofile.cpp: implemented filesize() call

	* Implementad extension map in the factory.
	
	* Implemented factory for RAW.

2006-09-19  Hubert Figuiere  <hub@figuiere.net>

	* lib/rawfile.{h,cpp}: use d pointer for private
	values.

	* include/libopenraw/types.h: use stdint.h
	instead of custom type. C99 required.

	* lib/ifdfilecontainer.{h,cpp}, lib/ifddir.cpp,
	lib/ifdentry.{h,cpp}: use C99 stdint types.

2006-09-18  Hubert Figuiere  <hub@figuiere.net>

	* lib/Makefile.am (libopenraw_la_LDFLAGS): versionning

	* configure.in: versionning and pkgconfig

	* include/libopenraw/Makefile.am (libopenrawdir): change the 
	includes to be versionned

	* lib/libopenraw-1.0.pc.in: pkgconfig

2006-09-16  Hubert Figuiere  <hub@figuiere.net>

	* lib/Makefile.am (libopenraw_la_LDFLAGS): Add -export-symbols
	to restrict the exporte symbols.

	* lib/libopenraw.sym: Added symbol list

2006-09-15  Hubert Figuiere  <hub@figuiere.net>

	* peffile.{h,cpp}: PEF file support

	* lib/arwfile.{h,cpp}, lib/cr2file.{h,cpp},
	lib/dngfile.{h,cpp}, lib/neffile.{h,cpp},
	lib/orffile.{h,cpp}, lib/rawfile.{h,cpp}:
	preview support.

	
	* include/libopenraw/consts.h: Fix a typo in consts. Add PEF
	file type.

	* Makefile.am, configure.in, include/libopenraw/Makefile.am,
	lib/Makefile.am, lib/io/Makefile.am: make distcheck now works.
	Removed dcraw from the build as it is useless.
	
	* README: added a support table.

	* TODO: added.

	* include/libopenraw/consts.h: added OR_ERROR_UNKNOWN

	* include/libopenraw/thumbnails.h: added or_thumbnail_data_size()

	* demo/Makefile.am: build thumbc.c
	
	* lib/Makefile.am: added capi
	
	* demo/thumbc.c: renamed. Fixed.
	
	* lib/capi/*: add C API.

	* configure.in: added capi.

2006-09-14  Hubert Figuiere  <hub@figuiere.net>

	* lib/ifdfilecontainer.cpp (IFDContainer::_locateDirs):
	Don't cast off_t to Int32 and pass by ref. Fails on MacOS X
	PowerPC.

	* include/libopenraw/Makefile.am (HEADERS): added the 2 new headers

	* include/libopenraw/libopenraw.h: Moved things to consts.h
	and thumbnails.h

	* include/libopenraw/consts.h: new header.

	* include/libopenraw/thumbnails.h: new header.

	* demo/thumb.cpp (main): set the DebugLevel

	* lib/debug.{h,cpp}: added setDebugLevel()

2006-09-13  Hubert Figuiere  <hfiguiere@teaser.fr>

	* configure.in: add an option to build with fink on MacOSX to
	locate boost properly.

	* autogen.sh: don't hardcode the versions.

2006-09-12  Hubert Figuiere  <hub@figuiere.net>

	* lib/arwfile.cpp, lib/cr2file.cpp, lib/debug.cpp, lib/debug.h,
	lib/dngfile.cpp, lib/ifddir.cpp, lib/ifdfilecontainer.cpp,
	lib/neffile.cpp, lib/orfcontainer.cpp, lib/orffile.cpp,
	lib/thumbnail.cpp: Change namespace for debug to workaround
	gcc 3.3 buginess.


2006-09-09  Hubert Figuiere  <hub@figuiere.net>

	* lib/ifddir.{h,cpp} (getExifIFD): get the Exif IFD 

2006-09-08  Hubert Figuiere  <hub@figuiere.net>

	* lib/ifddir.cpp (getSubIFD): get the SubIFD .

	* lib/rawfile.cpp (newRawFile): register DNG

	* lib/Makefile.am (libopenraw_la_SOURCES): added dngfile.cpp

	* lib/dngfile.{cpp,h}: added files for DNG support
	
	* lib/arwfile.cpp, lib/cr2file.cpp, 
	lib/neffile.cpp, lib/orffile.cpp: use getShortValue()
	and getLongValue()

	* lib/ifddir.{h,cpp}: Added getLongValue() and getShortValue()

	* include/libopenraw/types.h: Add unsigned types

2006-09-07  Hubert Figuiere  <hub@figuiere.net>

	* demo/thumb.cpp (main): fetch the large thumbnail.

	* lib/ifdentry.{h,cpp}: added getShort()

	* lib/rawfile.{h,cpp}, cr2file.{h,cpp}, arwfile.{h,cpp}: 
	implemented _getLargeThumbnail()

	* lib/orffile.{h,cpp}, neffile.{h,cpp}
	subbed _getLargeThumbnail()

	* include/libopenraw/libopenraw.h: removed medium thumbnail
	size.

2006-09-07  Edouard Gomez <ed.gomez *AT* free.fr>

	* configure.in: properly define CFLAGS

	* lib/io/Makefile.am: use libtool for libio to work on
	64-bits.

	* demo/Makefile.am: use libtool

2006-09-06  Hubert Figuiere  <hub@figuiere.net>

	* lib/thumbnail.cpp, lib/ifdfilecontainer.cpp,
	lib/orffile.cpp, lib/orfcontainer.cpp, lib/ifddir.cpp,
	lib/arwfile.cpp, lib/cr2file.cpp, lib/neffile.cpp: 
	convert to use Debug::Trace 

	* lib/debug.{h,cpp}: new files. 

2006-09-05  Hubert Figuiere  <hub@figuiere.net>

	* autogen.sh (ACLOCAL): Allow running autogen.sh from
	builddir. Will run configure at the same time.

2006-09-04  Hubert Figuiere  <hub@figuiere.net>

	* lib/arwfile.{h,cpp}: new files

	* configure.in (CXXFLAGS): -pedantic -ansi

	* lib/orffile.{h,cpp}: new files

	* lib/rawfile.cpp (identify): Added Olympus ORF and Sony ARW.
	Use strcasecmp to compare.
	(newRawFile): instanciate ORFile, ARWFile 

	* include/libopenraw/libopenraw.h: Renamed OR_DATA_TYPE_PIXMAP
	to OR_DATA_TYPE_PIXMAP_8RGB
	Added Olympus ORF and Sony ARW types. 

	* lib/neffile.cpp: implement reading thumbnail out of NEF files.

	* lib/thumbnail.cpp: -added setDimensions()

	* lib/cr2file.cpp (_getSmallThumbnail): use ExifTag defines
	-set the dimensions

	* lib/ifdentry.cpp (getLong): use defines from IFD 

	* lib/Makefile.am (noinst_HEADERS): ifd.h

	* lib/ifd.h: New file 

	* lib/neffile.{h,cpp}, lib/iofile.h,
	lib/cr2file.h, lib/thumbnail.{h,cpp},
	lib/ifdfilecontainer.h, lib/ifddir.cpp,
	lib/rawcontainer.h: make sure it builds with -Weffc++

2006-09-03  Hubert Figuiere  <hub@figuiere.net>

	* lib/Makefile.am: added nefile.{cpp,h} 

	* lib/neffile.{cpp,h}: new files 

	* lib/rawfile.cpp (newRawFile): instanciate NEF 

	* lib/ifdfilecontainer.cpp (setDirectory): better
	error handling.

	* Initial implementation of thumbnail in CR2.
